Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.cxf
Class OperationExecutionSOAPRequestInInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
          org.apache.cxf.interceptor.AbstractInDatabindingInterceptor
              org.apache.cxf.binding.soap.interceptor.SoapHeaderInterceptor
                  kieker.monitoring.probe.cxf.OperationExecutionSOAPRequestInInterceptor

All Implemented Interfaces:
  IMonitoringProbe, org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

    public class OperationExecutionSOAPRequestInInterceptor

extends org.apache.cxf.binding.soap.interceptor.SoapHeaderInterceptor
implements IMonitoringProbe

CXF InInterceptor to get the sessionIdentifier header from an incoming soap message and associate it with the current thread id. Look here how to add it to your server config: http://cwiki.apache.org/CXF20DOC/interceptors.html

Since:
  1.0
Author:
  Dennis Kieselhorst, Andre van Hoorn

Field Summary
`static String` | `SESSION_ID_ASYNC_TRACE` This constant can be used as a session ID for asynchronous traces.

Fields inherited from class org.apache.cxf.interceptor.AbstractInDatabindingInterceptor
`NO_VALIDATE_PARTS`

Constructor Summary
`OperationExecutionSOAPRequestInInterceptor()` Creates a new instance of this class, using the singleton instance of the `MonitoringController` as controller.
`OperationExecutionSOAPRequestInInterceptor(IMonitoringController monitoringCtrl)` Creates a new instance of this class, using the given instance of a `MonitoringController` as controller.

Method Summary
`void` | `handleMessage(org.apache.cxf.message.Message msg)`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, setAfter, setBefore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_ID_ASYNC_TRACE

    public static final String SESSION_ID_ASYNC_TRACE

  This constant can be used as a session ID for asynchronous traces.

  See Also:
    Constant Field Values

Constructor Detail

### OperationExecutionSOAPRequestInInterceptor

    public OperationExecutionSOAPRequestInInterceptor()

  Creates a new instance of this class, using the singleton instance of the `MonitoringController` as controller.

### OperationExecutionSOAPRequestInInterceptor

    public OperationExecutionSOAPRequestInInterceptor(IMonitoringController monitoringCtrl)

  Creates a new instance of this class, using the given instance of a `MonitoringController` as controller.

  Parameters:
    `monitoringCtrl` - The controller of this interceptor.

Method Detail

### handleMessage

    public void handleMessage(org.apache.cxf.message.Message msg)
                       throws org.apache.cxf.interceptor.Fault

  Specified by:
    `handleMessage` in interface `org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>`
  Overrides:
    `handleMessage` in class `org.apache.cxf.binding.soap.interceptor.SoapHeaderInterceptor`
  Throws:
    `org.apache.cxf.interceptor.Fault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net